Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.home
Class Day

    java.lang.Object
      portlets.compoze.groupware.home.Day

All Implemented Interfaces:
  java.io.Serializable

public class Day
extends java.lang.Object
implements java.io.Serializable

This class represents a day in the calendar summary.

See Also:
  Serialized Form

Constructor Summary
`Day(java.util.Date givenDate, java.util.Locale locale, java.util.TimeZone timeZone)` Constructor.

Method Summary
`java.util.Date` | `getDate()` Gets the date for this day.
`java.lang.String` | `getDateString(java.util.Locale locale)` Gets the localized date string.
`boolean` | `isToday()` Checks if the given date is today.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Day

    public Day(java.util.Date givenDate,
               java.util.Locale locale,
               java.util.TimeZone timeZone)

  Constructor.

Parameters:
  `givenDate` - the date for this day (may not be `null`)
  `locale` - the locale
  `timeZone` - the time zone

Method Detail

### getDateString

    public java.lang.String getDateString(java.util.Locale locale)

  Gets the localized date string.

  Parameters:
    `locale` - the locale (may not be `null`)
  Returns:
    the localized date string

### getDate

    public java.util.Date getDate()

  Gets the date for this day.

  Returns:
    the date

### isToday

    public boolean isToday()

  Checks if the given date is today.

  Returns:
    `true` if this day is today; `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.